# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.012.
use strict;
use warnings;



use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Bio-Tradis contains a set of tools to analyse the output from TraDIS analyses. For more information on the TraDIS method, see http://genome.cshlp.org/content/19/12/2308",
  "AUTHOR" => "Carla Cummins <path-help\@sanger.ac.uk>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Bio-Tradis",
  "EXE_FILES" => [
    "bin/add_tradis_tags",
    "bin/bacteria_tradis",
    "bin/check_tradis_tags",
    "bin/combine_tradis_plots",
    "bin/filter_tradis_tags",
    "bin/remove_tradis_tags",
    "bin/tradis_comparison.R",
    "bin/tradis_essentiality.R",
    "bin/tradis_gene_insert_sites",
    "bin/tradis_merge_plots",
    "bin/tradis_plot"
  ],
  "LICENSE" => "gpl",
  "NAME" => "Bio::Tradis",
  "PREREQ_PM" => {
    "Bio::Seq" => 0,
    "Bio::SeqIO" => 0,
    "Cwd" => 0,
    "Data::Dumper" => 0,
    "Exception::Class" => 0,
    "File::Basename" => 0,
    "File::Path" => 0,
    "File::Spec" => 0,
    "File::Temp" => 0,
    "FindBin" => 0,
    "Getopt::Long" => 0,
    "Moose" => 0,
    "Text::CSV" => 0,
    "Try::Tiny" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Env::Path" => "0.18",
    "ExtUtils::MakeMaker" => 0,
    "File::Spec" => 0,
    "Test::Exception" => 0,
    "Test::Files" => 0,
    "Test::More" => 0,
    "Test::Most" => 0
  },
  "VERSION" => "1.4.3",
  "test" => {
    "TESTS" => "t/*.t t/Bio/Tradis/*.t t/Bio/Tradis/Analysis/*.t t/Bio/Tradis/CommandLine/*.t t/Bio/Tradis/Parser/*.t"
  }
);


my %FallbackPrereqs = (
  "Bio::Seq" => 0,
  "Bio::SeqIO" => 0,
  "Cwd" => 0,
  "Data::Dumper" => 0,
  "Env::Path" => "0.18",
  "Exception::Class" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::Basename" => 0,
  "File::Path" => 0,
  "File::Spec" => 0,
  "File::Temp" => 0,
  "FindBin" => 0,
  "Getopt::Long" => 0,
  "Moose" => 0,
  "Test::Exception" => 0,
  "Test::Files" => 0,
  "Test::More" => 0,
  "Test::Most" => 0,
  "Text::CSV" => 0,
  "Try::Tiny" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
